<template>
  <v-chip :color="badgeColor" small>
    {{ eoiStatus }}
  </v-chip>
</template>

<script lang="ts" setup>
import { defineProps, computed } from 'vue';
import type { EOIStatus } from '~/utils/types';

const props = defineProps<{
  eoiStatus: EOIStatus;
}>();

const colorMapping: Record<EOIStatus, string> = {
  "Awaiting Further Details": "orange",
  "Signed": "green"
};

const badgeColor = computed(() => {
  return colorMapping[props.eoiStatus] || 'grey';
});
</script>

<style scoped>
.v-chip {
  font-size: 0.8rem;
}
</style>
